> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/api-documentation/quickpay/endpoints/deposit-status-endpoint.md).

# Deposit Status Endpoint

Given that QuickPay uses the same Deposit Status Endpoint than our Deposits APIs, please check [Deposit Status Endpoint](/api-documentation/deposits-api/endpoints/deposit-status-endpoint.md) for further details about the integration.&#x20;

In the case of QuickPay (and COMPLETED) transactions, this endpoint will add extra information about the customer KYC.

## Example response

{% hint style="info" %}

* Be aware that the field full\_name is the name validated by our KYC engine, while first\_name and last\_name is the info client was first registered with in our database.
* Birth date format is yyyyMMdd
  {% endhint %}

{% tabs %}
{% tab title="COMPLETED" %}

```java
{
    "user_id": "11",
    "deposit_id": 123456789,
    "invoice_id": "ql4vhBUlvnic",
    "country": "BR",
    "currency": "BRL",
    "usd_amount": 35.00,
    "local_amount": 281.06,
    "bonus_amount": 0.00,
    "bonus_relative": false,
    "payment_method": "IX",
    "payment_type": "BANK_TRANSFER",
    "status": "COMPLETED",
    "payer": {
        "document": "84932568207",
        "document_type": "CPF",
        "email": "johnSmith12@gmail.com",
        "first_name": "John",
        "last_name": "Smith",
        "birth_date": "19770930",
        "full_name": "John Smith",
        "pep": true,
        "legal_situation": "REGULAR"
    },
    "refunded": false,
    "current_payer_verification": "NO_CURRENT_PAYER_DATA"
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pandablue.com/api-documentation/quickpay/endpoints/deposit-status-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
